Bug 60812 - xtraceroute crashes or hangs.
xtraceroute crashes or hangs.
Product: Red Hat Raw Hide
Classification: Retired
Component: xtraceroute (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-03-07 01:52 EST by Stephen Rasku
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-07 21:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2002-03-07 01:52:22 EST
Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Start xtraceroute as a normal user
2. See the following output:

Found a hosts.cache with 9548 entries.
Can't open the database file /usr/share/xtraceroute/site_hosts.cache!(In mode
r)Can't open the database file /home/stephen/.xt/user_hosts.cache!(In mode r)
Found a networks.cache with 260 entries.
Can't open the database file /usr/share/xtraceroute/site_networks.cache!(In mode r)
Can't open the database file /home/stephen/.xt/user_networks.cache!(In mode r)
Can't open the database file /home/stephen/.xt/user_generic.cache!(In mode r)
Known countries: 239
Built-in database: 95
Error gethostbynaming local hostname: No such file or directory
(Not connected to network?)

[I think I am having this problem since I get my hostname from DHCP]

3. Select New trace to www.armispiansystems.ca
4. "You should enter better data for your site!" pops up.  The following
diagnostic is also displayed:

GLib-CRITICAL **: file gmain.c: line 500 (g_source_remove): assertion `tag > 0'

5. Click OK.
6. Double click final element in list
7. Modify data.
8. "Ouch! $HOME/.xt exists but is not a directory!" is displayed. ($HOME/.xt
doesn't exist)
9. Select another element

Actual Results:

Crashes and data is not saved.

Expected Results:

Stays up and data is saved.
Comment 1 Scott R. Godin 2002-08-23 17:03:03 EDT
just confirming existence of this bug in RH 7.2 as well as rawhide. 

same/similar results. Mine didn't crash, but the output as $user was damn near
exactly the same including the Glib-Critical
Comment 2 Bill Nottingham 2006-08-07 21:29:55 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux. Red Hat
Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues were not resolved in a more timely manner.
However, the issues listed in these bugs are in packages that are no longer
shipped in a current Fedora Core release. Hence, we are closing these bugs CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.